Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.network
Class RayTracingJobFactory

    java.lang.Object
      threeD.raytracer.network.RayTracingJobFactory

public class RayTracingJobFactory
extends java.lang.Object

Constructor Summary
`RayTracingJobFactory()` Constructs a new RayTracingJobFactory object.
`RayTracingJobFactory(java.lang.String uri, int width, int height, int ssWidth, int ssHeight, int jobSize, long taskId)` Constructs a new RayTracingJobFactory object using the specified parameters.

Method Summary
`Job` | `createJob(java.lang.String data)`
`java.lang.String` | `encode()`
`Job` | `nextJob()`
`void` | `set(java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RayTracingJobFactory

    public RayTracingJobFactory()

  Constructs a new RayTracingJobFactory object.

### RayTracingJobFactory

    public RayTracingJobFactory(java.lang.String uri,
                                int width,
                                int height,
                                int ssWidth,
                                int ssHeight,
                                int jobSize,
                                long taskId)

  Constructs a new RayTracingJobFactory object using the specified parameters.

Parameters:
  `width` - Image width.
  `height` - Image height.
  `ssWidth` - Super sample width.
  `ssHeight` - Super sample height.
  `jobSize` - Job size.

Method Detail

### nextJob

    public Job nextJob()

  See Also:
    `net.sf.j3d.network.JobFactory#nextJob()`

### createJob

    public Job createJob(java.lang.String data)

  See Also:
    `net.sf.j3d.network.JobFactory#createJob(java.lang.String)`

### encode

    public java.lang.String encode()

  Returns:
    A String encoding of this RayTracingJobFactory object.

### set

    public void set(java.lang.String key,
                    java.lang.String value)

  See Also:
    `net.sf.j3d.network.JobFactory#set(java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray